org.omg.CosNaming

## Class NamingContextHelper

- java.lang.Object
- - org.omg.CosNaming.NamingContextHelper

    public abstract class NamingContextHelper
    extends Object

A naming context is an object that contains a set of name bindings in which each name is unique. Different names can be bound to an object in the same or different contexts at the same time.

See CORBA COS Naming Specification.

### Constructor Summary

Constructors
Constructor and Description
`NamingContextHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static NamingContext` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, NamingContext that)`
`static NamingContext` `narrow(Object obj)`
`static NamingContext` `read(InputStream istream)`
`static TypeCode` `type()`
`static NamingContext` `unchecked_narrow(Object obj)`
`static void` `write(OutputStream ostream, NamingContext value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamingContextHelper

    public NamingContextHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              NamingContext that)

#### extract

    public static NamingContext extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static NamingContext read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             NamingContext value)

#### narrow

    public static NamingContext narrow(Object obj)

#### unchecked_narrow

    public static NamingContext unchecked_narrow(Object obj)